package view.components;

import java.io.File;
import java.util.LinkedList;

import model.Language;

/**
 * This class represents a o content of a text file
 * @author fernando
 *
 */
public class Text {
	private String name_file;
	private File directory;
	private LinkedList<Tokens> tokens;
	
	//Language of text
	private Language text_language; 
	
	/**
	 * Constructor
	 * @param name_file name of source file 
	 * @param directory file where it is
	 */
	public Text( String name_file, File directory ){
		this.name_file = name_file;
		this.directory = directory;
		this.tokens = new LinkedList<Tokens>();		
		
		//Verificando o idioma pelo padrão do título do texto
		String split_name[] = name_file.split("_");
		text_language = Language.PORTUGUESE;
		if( split_name[ 0 ].compareToIgnoreCase("pt") == 0)
			text_language = Language.PORTUGUESE;
		else
			if( split_name[ 0 ].compareToIgnoreCase("es") == 0)
				text_language = Language.SPANISH;
			else
				if( split_name[ 0 ].compareToIgnoreCase("en") == 0)
					text_language = Language.ENGLISH;
		}

	/**
	 * 
	 * @return
	 */
	public Language getLanguage(){
		return this.text_language;
	}
	
	/**
	 * 
	 * @return
	 */
	public String getNameFile() {
		return name_file;
	}

	/**
	 * 
	 * @param name_file
	 */
	public void setNameFile(String name_file) {
		this.name_file = name_file;
	}

	/**
	 * 
	 * @return
	 */
	public File getDirectory() {
		return directory;
	}

	/**
	 * 
	 * @param directory
	 */
	public void setDirectory(File directory) {
		this.directory = directory;
	}

	/**
	 * 
	 * @return
	 */
	public LinkedList<Tokens> getTokens() {
		return tokens;
	}

	/**
	 * 
	 * @param token
	 */
	public void addToken( Tokens token) {
		this.tokens.add( token );
	}
}
